Subject: bug#73511: closed (Re: bug#73511: 30.0.91; icomplete-vertical-mode TAB-key pops two completions windows)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 12 Oct 2024 11:20:02 +0000

Your bug report

#73511: 30.0.91; icomplete-vertical-mode TAB-key pops two completions windows

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
73511: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=73511
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#73511: 30.0.91; icomplete-vertical-mode TAB-key pops two completions windows
From: Eli Zaretskii <[email-masked]>
To: Van Ly <[email-masked]>
Cc: [email-masked]
Date: Sat, 12 Oct 2024 14:19:12 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Van Ly <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 27 Sep 2024 17:58:41 +0000
> 
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> 
> >> Pressing TAB at that point on either highlighted alternatives duplicates
> >> the *Completions* window resulting in 2 *Completions* windows.  And, as
> >> far as I know the user has to mouse select from the duplicated window.
> >
> > No, you can select with C-j or with M-TAB.
> >
> 
> I see, M-TAB is the behavior I intend.  C-j goes to dired mode for the
> highlighted directory.
> 
> >> The intended behavior is to get to the target configure file preferably
> >> without needing to mouse point in the second *Completions* window, TAB
> >> would select from the inferred highlighted option.
> >
> > No, in Icomplete mode TAB does not select.  I suggest to read the
> > "Icomplete" node in the Emacs user manual, it explains how to use this
> > mode.
> >
> 
> Yes, I should read it.  Thanks.

No further comments, so I'm now closing this bug.

Subject: 30.0.91; icomplete-vertical-mode TAB-key pops two completions windows
From: Van Ly <[email-masked]>
To: [email-masked]
Date: Fri, 27 Sep 2024 07:41:57 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

When the icomplete-vertical-mode is on, pressing TAB to complete a
single option using find-file C-x C-f behaves as expected but pressing
TAB to select one of two options pops two completions windows and is
unexpected.

To retrace steps,

 1. open "emacs -Q"
 2. M-x icomplete-vertical-mode
 3. navigate with TAB completions after find-file C-x C-f

Say, I want to open the following using find-file C-x C-f

  /usr/src/external/gpl3/gcc/dist/gcc/configure

The directory /usr/src/external has two subdirectories gpl2 and gpl3.

at the point /usr/src/ex TAB completes the path to /usr/src/external/

at the point /usr/src/external/gp TAB completes the path to /usr/src/external/gpl

at the point /usr/src/external/gpl

C-n or C-p will move the highlight between gpl2 or gpl3 (See A)

pressing TAB pops a second *Completions* window (See B)

Expected behavior is for TAB to pick the highlighted directory and continue with path to file selection

=> http://sdf.org/~van.ly/img/emacs-30-0-91-pretest-icomplete-vertical-mode-buffer-A.jpeg A
=> http://sdf.org/~van.ly/img/emacs-30-0-91-pretest-icomplete-vertical-mode-buffer-B.jpeg B

-- 
vl